@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url(../stretch_pro/StretchPro.otf);


@font-face {
    font-family: 'StretchPro';
    src: url('../stretch_pro/StretchPro.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

:root {
    --primaryColor: #12DBFF;
    --text-light: rgb(151, 151, 151);
    --mediumLightText: #929292;
    --inputFieldBg: #ECFCFF;
    --inputFieldBorder: #CDCDCD;
    --bluishLight: rgb(243, 253, 255);
}

body {
    overflow-x: hidden !important;
}


* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

h1 {
    margin-bottom: 0;
    font-size: 47px;
}

h2 {
    margin-bottom: 0;
}

h3 {
    margin-bottom: 0;
}

h4 {
    margin-bottom: 0;
    font-size: 18px;
}

h5 {
    font-size: 12px;
    margin-bottom: 0;
}

h6 {
    margin-bottom: 0;
    font-size: 15px;
}

p {
    margin-bottom: 0;
}

.poppins-thin {
    font-family: "Poppins", sans-serif;
    font-weight: 100;
    font-style: normal;
}

.poppins-extralight {
    font-family: "Poppins", sans-serif;
    font-weight: 200;
    font-style: normal;
}

.poppins-light {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.poppins-regular {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.poppins-medium {
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.poppins-semibold {
    font-family: "Poppins", sans-serif;
    font-weight: 600;
    font-style: normal;
}

.poppins-bold {
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.poppins-extrabold {
    font-family: "Poppins", sans-serif;
    font-weight: 800;
    font-style: normal;
}

.authbg {
    background: url(../img/authbg.png);
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100vh;

}

.authlogo {
    width: 202.8px;
    height: 58.3px;
    margin: 30px 0px;
}

.loginbox {
    margin: 50px 0px 0px;
    border-radius: 20px;
    width: 486.21px;
    height: fit-content;
    padding: 45px 25px;
    background: rgba(255, 255, 255, 50%);
    backdrop-filter: blur(38.9px);
    -webkit-backdrop-filter: blur(38.9px);
}

.loginbox h1 {
    font-size: 35px !important;
}

.authinputs {
    width: 100%;
    outline: none;
    height: 57.88px;
    background: rgba(255, 255, 255, 20%);
    border: 1px solid #CDCDCD;
    border-radius: 10px;
    font-weight: 500;
    font-size: 15.14px;
    color: #000000;
    padding-left: 20px;
    font-family: "Poppins", sans-serif;
    text-transform: capitalize;
}

.verifyauthinputs {
    width: 63.33px;
    outline: none;
    height: 58.33px;
    background: rgba(255, 255, 255, 20%);
    border: 1px solid #CDCDCD;
    border-radius: 10px;
    font-weight: 500;
    font-size: 15.14px;
    color: #000000;
    font-family: "Poppins", sans-serif;
    text-transform: capitalize;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.authinputs::placeholder {
    color: #000000;
}

.loginform p {
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    font-weight: 500;
    color: #000000;
}

.loginbtn {
    width: 100%;
    background: #4DE4FF;
    height: 57.88px;
    border: none;
    border-radius: 10px;
}

.password-container {
    position: relative;
    width: 100%;
}

.password-input {
    width: 100%;
    padding: 10px;
    padding-right: 40px;
    /* Space for the eye icon */
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.toggle-password {
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    background: none;
    border: none;
    cursor: pointer;
}

.toggle-password i {
    font-size: 18px;
    color: #888;
}

.toggle-password:hover i {
    color: #333;
}


.mainlogo {
    width: 227px;
    height: 85px;
    position: relative;
    z-index: 9999;
    bottom: 5px;
}

.navbar-nav .nav-link.active {
    font-weight: bold;
    color: var(--primaryColor);
    background-color: white;
    padding: 6px 26px;
    border-radius: 30px;
}

.nav-link {
    color: white;
    text-wrap: nowrap;
    font-size: 15px !important;
}

.offcanvas-body .nav-link {
    color: black;
}

.offcanvas-body .nav-link.active {
    padding: 7px 0;
}

.offcanvas-header .navbar-brand {
    width: 200px;
    object-fit: contain;
}

.phonebutton {
    width: 171px;
    height: 45px;
    background-color: #12DBFF;
    border-radius: 60px;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.paperimg {
    background: url(../img/topimg.png);
    background-position: right 10%;
    background-size: 298px;
    background-repeat: no-repeat;
}

.sec1banner {
    background: url('../img/sec1ban.png');
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.sec1text {
    padding: 150px 0px;
}

.sec1banner p {
    font-size: small;
}

.sec1h1 {
    font-family: 'StretchPro', sans-serif;
    font-size: 54px;
    letter-spacing: 1px;
    color: black;
    position: relative;
}

.sec1h2 {
    font-size: 43px;
    /* Also made responsive */
    color: #000000;
    /* position: absolute; */
    right: 3%;
    bottom: 10%;
}

.readmore-banner {
    background-color: var(--primaryColor);
    color: white;
    border-radius: 26px;
    border: none;
    font-size: small;
    width: 181px;
    height: 45px;
}

.search-item-index {
    border: 1px solid var(--primaryColor) !important;
    background-color: #EBFCFF !important;
}

.search-item-index input {
    background-color: #EBFCFF !important;
}

/* ************* @Code by Abdul Bari *************** */
.right-plane {
    right: 0;
    top: -80px;
    width: 258px;
    height: 208px;
    z-index: 10;

}

.about-us-section {
    background: url(../img/bannerq.png);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    padding-bottom: 8rem !important;
}

.about-us-section h1 {
    font-family: StretchPro !important;
    font-size: 60px;
    color: white;
    z-index: 20;
}


.plane-left {
    left: 0;
    top: 400px;
}

/* About Us Info */

.about-info-section {

    display: flex;
    flex-direction: column;
    justify-content: end;
    color: var(--text-light);
}

/* .aboutUs-img-container {
    width: 50% !important;
} */

.about-us-content p {
    font-size: 16px;
}

.small-about-us {
    color: white;
    background-color: var(--primaryColor);
    padding: 1px 8px;
    width: fit-content;
    margin-bottom: 5px;
}

.text-container {
    width: 50%;
}

.text-container h2 {
    color: var(--primaryColor);
    font-family: StretchPro;
}

.extra-text {
    font-size: 14px;

}

/* Four Cards */

.fourCard-bg {
    background: url(../img/blueCurve.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.four-cards .card p {
    font-size: 11px !important;
}

.four-cards .card {
    padding-right: 0.5rem;
    padding-left: 0.5rem;
}

.card {
    border: none !important;
    width: 260px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.card-number {
    font-size: 40px;
    padding: 0;
    margin: 0;
}


.card-heading {
    font-size: 18px;
    letter-spacing: 1px;
}

.card-heading,
.card-number {
    font-family: StretchPro;
    color: var(--primaryColor);
}

.card-text {
    color: var(--text-light);
    font-size: 12px;
}


/* Packages Page */
.top-search-heading {
    font-family: StretchPro;

    color: var(--primaryColor);
}

.search-bar {
    outline: none;
    border: 1px solid var(--text-light);
}

.search-icon {
    width: 16px;
    right: 10px;
    top: 8px;
}

.checkbox-container {
    font-size: 12px;
    font-weight: medium;
    color: var(--mediumLightText);
}

/* ************* @Code by Abdul Bari *************** */





.footerbg {
    background: linear-gradient(to bottom, #12DBFF, #0B8499);
    color: #fff;
}

.footerlogo {
    width: 209px;
    height: 61px;
}

.footerbg h6 {
    font-size: 25px;
}



.search-bar {
    display: flex;
    align-items: center;
    overflow-x: auto;
    gap: 5px;
    /* Enable horizontal scrolling */
    white-space: nowrap;
    /* Prevent line breaks in child elements */
    background-color: #fff;
    border-radius: 6px;
    border: none;
    width: 100%;
    height: fit-content;
    padding: 8px;
    margin: auto;
    position: relative;
    box-shadow: rgba(65, 227, 255, 0.6) 0px 0px 0px 14px;
}

.search-bar-shadow {
    width: -webkit-fill-available;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 60px 40px -7px;
}

.search-bar::-webkit-scrollbar {
    display: none;
}

.search-item {
    background-color: #F9F9F9;
    flex: 1;
    display: flex;
    flex-direction: column;
    position: relative;
    border: 1px solid rgb(224, 224, 224);
    border-radius: 16px;
    padding: 10px 16px;
}

.search-item label {
    font-family: 'Poppins', sans-serif;
    font-size: 22px;
    font-weight: bold;
    color: #000;
    margin-bottom: 5px;
}

.search-item input {
    background-color: #F9F9F9;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
    border: none;
    font-style: italic;
    outline: none;
    padding: 5px;
    width: 100%;
}

.search-item input::placeholder {
    color: #aaa;
}

.carRental-search label {
    font-size: 26px;
}

.paperimg2 {
    background: url(../img/paperimgnew.png);
    background-position: top -10px left 26px;
    background-size: contain;
    background-repeat: no-repeat;

}

.search-item i {
    position: absolute;
    bottom: 10px;
    right: 10px;
}

.search-btn {
    color: white;
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    font-size: large;
    background-color: #00d3ff;
    border: none;
    border-radius: 16px;
    cursor: pointer;
    width: 160px;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.search-btn img {
    width: 48px;
    height: 48px;
}

.search-bar .search-item:last-child {
    margin-right: 10px;
}

/* .search-item:nth-child(3) i {
    right: 30px;
} */
/* 
.search-item:nth-child(4) i {
    right: 30px;
} */


.sec2 {
    background: url(../img/sec2bg.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 50px 0px;
}

.sec2h2 {
    height: 23px;
    border-radius: 30px;
    opacity: 0.8;
    color: #ffffff;
    background-color: #12DBFF;
    font-size: 16px;
    display: flex;
    width: fit-content;
    padding: 0px 20px;
    align-items: center;
    justify-content: center;
}



.sec2h1 {
    font-family: 'StretchPro', sans-serif;
    font-weight: 500;
    font-size: 46px;
    color: #12DBFF;
    text-transform: uppercase;
}

.sec2p {
    font-size: 15px;
    opacity: 0.5;
    color: #000000;
}

.readbtn {
    background-color: #12DBFF;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
    padding: 8px 36px;
    font-size: 16px;
    border-radius: 20px;
    border: none;
    height: 45px;
}

.contactbtn {
    text-decoration: underline;
    color: #12DBFF;
    font-size: 16px;
    border: none;
    background: transparent;
}

.sech1 {
    font-family: 'StretchPro', sans-serif;
    font-weight: 500;
    color: #12DBFF;
    text-align: center;
    text-transform: uppercase;
}


.nav-tabs .nav-link.active {
    border-bottom: 3px solid #00239E;
    border-left: 0px;
    border-right: 0px;
    border-top: 0px;
    font-family: "Poppins", sans-serif;
    font-weight: bold;
    color: #000000;
    text-align: center;
    background-color: transparent;
}

.nav-tabs {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    overflow-x: scroll;
}

.nav-tabs::-webkit-scrollbar {
    display: none;
}

.nav-tabs .nav-link {
    width: 270px;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    color: rgba(0, 0, 0, 50%);
    font-size: 21px;
    border-bottom: 1px;
    text-align: center;
}

.linebg {
    background: url(../img/linebg.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}

.pixelBg {
    background: url(../img/pixelBg.png);
    background-position: top;
    background-size: 100% 70%;
    background-repeat: no-repeat;
}

.tab-content {
    margin-top: 60px;
}

.tourbox {
    border-radius: 15.55px;
    width: 315px;
    padding: 8px 10px;
    height: 374.75px;
    background-color: #ffffff;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    transition: all 0.5s ease-in-out;
    cursor: pointer;
}

.tourbox:hover {
    background-color: #41E3FF;
    transform: translateY(-10px);
}

.tourbox .tourimg {
    border-radius: 15.55px;
    width: 100%;
    height: 186.6px;
    margin: 0 auto;
}

.heartbox {
    background-color: #DBDBE3;
    width: 29.54px;
    height: 29.54px;
    border-radius: 50%;
    position: absolute;
    top: 10px;
    right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.heartbox .heartimg {
    width: 16px;
    height: 14px;
    cursor: pointer;
    transition: opacity 0.4s ease, transform 0.4s ease;

}

.heartimg.clicked {
    transform: scale(1.2);
}

.tourbox h4 {
    opacity: 0.9;
}

.bedimg {
    width: 16px;
    height: 15px;
}

.sec4Bg {
    background: url(../img/sec4bg.png);
    background-repeat: no-repeat;
    background-size: 100% 107%;
    background-position: top;
}

.sec4 h4 {
    font-family: 'StretchPro', sans-serif;
    font-weight: 500;
    color: #12DBFF;
    letter-spacing: 1px;
}


/* @Abdul Bari */

/* Packages Section */

.package-wrapper h1,
.package-wrapper h2 {
    color: black;
}

.packagesSection {
    background-image: url(../img/packagesBg.png);
    background-position: end;
    background-size: cover;
}

.left-package-card {
    margin-right: -10px !important;
}

.right-package-card {
    margin-left: -10px !important;
}

.left-package-card li,
.right-package-card li {
    font-size: small;
    font-weight: 700;
}

.left-package-card,
.right-package-card {
    width: 320px;
}

.left-package-card,
.right-package-card {
    text-wrap: nowrap;
    background-color: var(--primaryColor);
}

.middleCardList li {
    list-style: disc !important;
}

.day {
    margin-left: 6px;
    font-size: small;
}

.getStarted-black {
    width: fit-content;
    font-size: 9px;
    color: rgb(149, 149, 149);
    padding: 6px 32px;
}

.middleCard {
    width: 280px;
    color: lightgray;
    background-color: #00242F;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

/* Blog Section */

.blogSection p {
    font-size: 14px;
    color: var(--text-light);
}

.blog-card-info h2 {
    font-size: 22px;
}

.blogSection a {
    color: black;
}

.right-blog img {
    border-radius: 5px;

}

.readmore {
    font-size: 12px;
}

.readmore-right {
    font-style: italic;
    color: rgb(92, 92, 92) !important;
}

.blog-card img {
    width: 500px;
    height: 200.65px;
    border-radius: 6px;
}


.blog-card p {
    font-size: 12px;
    text-transform: capitalize;
    width: 80%;
}

.latestnewimg {
    width: 100%;
    border-radius: 5px;
    height: 431.5px;
}


.home-demo .item {
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    padding: 14px 44px;
    height: 260.04px;
    margin-top: 60px;
}

.home-demo .item .text {
    margin-top: 60px;
}

.home-demo .item .text p {
    font-size: 16px;
}

.img-div img {
    position: absolute;
    top: -65px;
}

.client-img {
    width: 105.44px !important;
    height: 105.44px !important;
    border-radius: 50%;
    border: 3px solid #12DBFF;
}

.home-demo .item {
    transition: all 0.3s;
    border-radius: 10px;
}

.owl-carousel .item:hover {
    color: black !important;
    background-color: var(--primaryColor);
}

.owl-carousel .item:hover p {
    color: black !important;
}

.home-demo h2 {
    font-size: 22px;
}

.home-demo p {
    color: var(--text-light);
}

.star {
    width: 16px !important;
}

/* @Abdul Bari */

.owl-theme .owl-nav {
    margin-top: 10px;
    position: absolute;
    display: flex;
    justify-content: space-between;
    width: 100%;
    top: 38%;
}

.owl-theme .owl-nav .owl-prev {
    border-radius: 50%;
    position: absolute;
    left: -30px;
}

.owl-theme .owl-nav .owl-next {
    border-radius: 50%;
    position: absolute;
    right: -30px;
}

.owl-theme .owl-nav .owl-next img {
    width: 58px;
    height: 58px;
}

.owl-theme .owl-nav .owl-prev img {
    width: 58px;
    height: 58px;
}

.profileimg {
    width: 84px;
    height: 84px;
    border-radius: 50%;
}

.editbox {
    position: absolute;
    bottom: 0;
    right: 0;
}

.editbox img {
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.editimg {
    width: 38px;
    height: 38px;
    cursor: pointer;
}

.profilebox {
    background: rgba(255, 255, 255, 50%);
    border: 1px solid rgba(0, 0, 0, 20%);
    border-radius: 20px;
    height: 647px;
    padding: 0px 50px;
}

.givemargin {
    margin-top: 130px;
}

.editbox2 {
    position: absolute;
    bottom: 0;
    left: 40px;
}

.editimgbox {
    position: absolute;
    top: -85px;
    left: 50%;
    right: 50%;
}

.editprofileimg {
    width: 161px;
    height: 161px;
}

/* Hide the arrows in WebKit browsers (Chrome, Safari, Edge) */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Additional reset to prevent a potential workaround for hiding */
input[type="number"] {
    -moz-appearance: textfield;
    /* For Firefox */
}

.detailImages .row>* {

    padding-right: 0 !important;
    /* padding-right: calc(var(--bs-gutter-x)* .5); */

}


.detailimg1 {
    width: 743px;
    height: 425px;
}

.detailimg2 {
    width: 451px;
    height: 207px;
}


.packagedetail h1 {
    font-size: 39px;
}

.packagedetail h4 {
    line-height: 25px;
    font-size: 15px;
}

.reviewstar {
    width: 24px;
    height: 24px;
}

.checkimg {
    width: 22px;
    height: 22px;
}

.detaillist li {
    font-size: 16px;
    font-weight: 500;
    font-family: "Poppins", sans-serif;
    color: #808080;
    line-height: 30px;
}


/* Contact Us */

.contact-us-section {
    background: url(../img/sec3bg.png);
    background-size: cover;
    background-position: top;
}

.contact-us-section .container {
    width: 75%;
}

/* .card-img-top {
    height : 30% !important;
    object-fit : cover;
} */
.contact-us-form,
.paymentDetailForm {
    background-color: white !important;
    box-shadow: -0.2px 0.2px 2px 0px var(--primaryColor);
}

.contact-us-form input,
.paymentDetailForm input,
.paymentDetailForm select,
.textarea-container textarea {
    font-size: 14px;
    border: 1px solid var(--inputFieldBorder) !important;
    outline: none !important;
    background-color: var(--inputFieldBg);
}

.contact-us-form input::placeholder,
.paymentDetailForm input::placeholder,
.textarea-container textarea::placeholder {
    color: black;
    font-size: 12px;
}


.textarea-container textarea {
    height: 160px;
    resize: none;
}

.submitBtn {
    font-size: 14px;
    height: 45px;
    background-color: var(--primaryColor);
}

.iti {
    width: 100%;
}

/* 11/30 */

#accordionExample .accordion-button:not(.collapsed) {
    background-color: #ffffff !important;
    color: #000000;
    border-bottom: none !important;
}

#accordionExample .accordion-button:focus {
    outline: none !important;
    box-shadow: none !important;
}

#accordionExample .accordion-button.collapsed {
    color: #7d7d7d !important;
}

.accordion-button {
    font-size: 16px !important;
    color: rgb(39, 39, 39);
}

.accordion-body {
    padding-top: 0px !important;
    margin-top: 0px !important;
    color: #7d7d7d !important;
    line-height: 30px;
}

/* New accordion */

/* Core styles/functionality */
.tab {
    position: relative;
}

.tab input {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

.tab__content {
    max-height: 0;
    overflow: hidden;
    transition: all 0.35s;
}

.tab input:checked~.tab__content {
    max-height: 10rem;
}

/* Visual styles */
.accordion {
    color: black;
    border: 1px solid #dfdfdf;
    border-radius: 0.5rem;
    overflow: hidden;
}

.tab__label,
.tab__close {
    display: flex;
    color: black;
    background: white;
    cursor: pointer;
}

.tab__label {
    border-bottom: 1px solid var(--inputFieldBorder);
    justify-content: space-between;
    padding: 1rem;
}

.tab__label::after {
    content: "\276F";
    width: 1em;
    height: 1em;
    text-align: center;
    transform: rotate(90deg);
    transition: all 0.35s;
}

.tab input:checked+.tab__label::after {
    transform: rotate(270deg);
}

.tab__content p {

    color: #7d7d7d !important;
    line-height: 30px;
}

.tab__close {
    justify-content: flex-end;
    padding: 0.5rem 1rem;
    font-size: 0.75rem;
}

.accordion--radio {
    --theme: black;
}

/* Arrow animation */
/* .tab input:not(:checked) + .tab__label:hover::after {
    animation: rotate .5s infinite;
  } */



/* New accordion */

.specificInfo-search {
    outline: none;
    border: 1px solid #dddddd;
}

.specificInfo-search::placeholder {
    font-style: italic;
    color: #808080;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
}

.book-ticket-card {
    border: 1px solid var(--primaryColor);
    background-color: #EEFEFF;
    width: 393px;
}

.non-ref-text,
.person-aged,
.included-taxes {
    font-family: 'Poppins', sans-serif;
    color: var(--mediumLightText);
    font-size: 14px;
}

.change-ticket-btn {
    border: none;
    background-color: #D9D9D9;
    border-radius: 10px;
    padding: 3px 12px !important;
}

.change-ticket-btn:active {
    background-color: var(--primaryColor);
}

.date-carousel .item {
    background: white;
    border: 1px solid var(--inputFieldBorder);
    border-radius: 8px;
    width: 75px;
}

.date-carousel .item:hover {
    cursor: pointer;
    background-color: #EEFEFF;
}

.date-carousel h2 {
    color: #FFF;
    text-align: center;
}

.date-carousel p {
    color: var(--mediumLightText);
    font-weight: 500;
    font-size: small;
}

.date-carousel .poppins-bold {
    margin: 0 !important;
    padding: 0 !important;
    font-size: 20px;
    color: black !important;
}

.date-carousel .owl-item.active {
    width: fit-content !important;
}

.date-carousel .owl-carousel.cloned,
.date-carousel .owl-item {
    width: fit-content !important;
}

.date-carousel .owl-theme .owl-nav .owl-prev {
    width: fit-content !important;
    position: absolute !important;
    top: -35px !important;
    right: -20px;
}

.date-carousel .owl-theme .owl-nav .owl-next {
    width: fit-content !important;
    position: absolute;
    top: -35px;
    right: -20px;
}

.date-carousel .owl-next:active,
.date-carousel .owl-prev:active,
.date-carousel .owl-next:hover,
.date-carousel .owl-prev:hover {
    background-color: transparent !important;
}

/* Packages Page */

.package-wrapper {
    background-image: url(../img/packagesBg.png);
    background-size: cover;
}

.top-search-card {
    background-color: #F3FDFF;
    height: fit-content;
}

.top-search-heading {
    font-family: StretchPro;
    color: var(--primaryColor) !important;
    text-align: center;
}

.search-bar-packages {
    outline: none;
    border: 1px solid var(--inputFieldBorder);
    width: 100%;
    background-color: rgb(243, 253, 255);
    height: 42px;
}

.search-icon {
    width: 16px;
    right: 10px;
    top: 14px;
}

.checkbox-container {
    font-size: 12px;
    color: var(--mediumLightText);
}

.checkbox-container p {
    font-size: 14px;
}

select {
    font-size: 12px !important;
    padding: 8px 10px;
    color: var(--mediumLightText) !important;
}

.duration-container {
    background-color: var(--bluishLight) !important;
}

.tag-container select {
    background-color: var(--bluishLight);
}

.package-dateInput,
.package-monthInput {
    background-color: var(--bluishLight);
    border: 0.5px solid var(--inputFieldBorder);
    border-radius: 6px;
    padding: 6px 10px !important;
    color: var(--mediumLightText) !important;
}

.package-dateInput {
    padding-left: 30px !important;
}

.form-select:focus {
    outline: none;
    border-color: var(--inputFieldBorder) !important;
    box-shadow: none !important;
}

.dateInputField {
    background-color: rgb(243, 253, 255);
    border: 1px solid var(--inputFieldBorder);
    border-radius: 10px;
    width: 100%;
    padding: 5px 6px;
    outline: none;
}

.input-group-text {
    background-color: white !important;
}

.dateIcon {
    width: 15px !important;
}


/* hide radio buttons */

input[name="star"] {
    display: inline-block;
    width: 0;
    opacity: 0;
    margin-left: -2px;
}

.star-source {
    width: 0;
    height: 0;
    visibility: hidden;
}

.star {
    color: transparent;
    transition: color 0.2s ease-in-out;
}

.star-container svg {
    width: 22px !important;
}

.star-container {
    display: flex;
    flex-direction: row-reverse;
    justify-content: start;
    flex-wrap: wrap;
    gap: 6px;
}

/* STAR */
/*some basic styles*/
.rating {
    font-size: 0;
    display: inline-block
}

.rating__button {
    width: 22px;
    height: 22px;
    display: inline-block;
}

.rating__star {
    width: 100%;
    height: 100%;
    fill: #fff
}

.rating:hover .rating__star,
.rating.has--rating .rating__star {
    fill: #FFBB00
}

.rating__button:hover~.rating__button .rating__star,
.rating__button.is--active~.rating__button .rating__star {
    fill: #fff
}

.rating.has--rating:hover .rating__button:hover~.rating__button .rating__star {
    fill: lightgray
}

.rating.has--rating:hover .rating__button.is--active~.rating__button .rating__star {
    fill: #FFBB00;
}

/*make everything after the currently hovered star white*/
.rating.has--rating:hover .rating__button:hover~.rating__button.is--active~.rating__button .rating__star,
.rating.has--rating:hover .rating__button.is--active:hover~.rating__button .rating__star,
.rating.has--rating:hover .rating__button.is--active~.rating__button:hover~.rating__button .rating__star {
    fill: #fff
}

/* STAR */


label:hover~label .star,
svg.star:hover,
input[name="star"]:focus~label .star,
input[name="star"]:checked~label .star {
    color: #FFBB00;
}

input[name="star"]:checked+label .star {
    animation: starred 0.5s;
}

input[name="star"]:checked+label {
    animation: scaleup 1s;
}

@keyframes scaleup {
    from {
        transform: scale(1.2);
    }

    to {
        transform: scale(1);
    }
}

@keyframes starred {
    from {
        color: #FFBB00;
    }

    to {
        color: #FFBB00;
    }
}

.ormore {
    font-size: small;
    cursor: pointer;
}

.ormore:hover {
    text-decoration: underline;
}

.searchBtn {
    font-size: small;
    background-color: var(--primaryColor);
}

.blueSortIcon {
    width: 43px;
    height: 25px;
}

.reviewCount {
    font-size: medium;
}

/* 
.sort-by {
    width: 780px;
} */

.sort-options-container {
    background-color: #F3FDFF;
}

.sort-by p {
    color: grey;
}

.sort-options-container {
    width: 100%;
    padding: 8px 18px;
    border: 1px solid var(--inputFieldBorder);
    border-radius: 10px;
}

.sort-by-card {
    height: 220px;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.grid-card {
    border-top-left-radius: 12px;
    width: 49%;
}


.sort-by-card-heading {
    font-size: 20px;
}

.clock-time {
    font-size: 14px;
    color: #9f9f9f !important;
}

.clockImg {
    width: 22px !important;
    height: 22px !important;
}

.viewDetails {
    font-size: 12px;
    background-color: var(--primaryColor);
    border-radius: 50%;
}

/* 12/2/2024 */

/* Payment Details */

.paymentTerms {
    font-size: 17px;
    line-height: 28px;
    color: var(--mediumLightText);
}

select#countrySelect {
    color: black !important;
}

.payme {
    right: 58;
    top: 10px;
    width: fit-content;
    height: 24px;
}

.stripe {
    right: 6;
    top: 12px;
    width: fit-content;
    height: 24px;
}

.card-numer-input {
    padding-right: 120px !important;
}

/* Hotel Package */

.wifi-img {
    width: 26px;
    height: 26px;
    object-fit: contain;
}


.mostPopular p {
    color: var(--text-light);
}

.mostPopular img {
    width: 26px;
    height: 26px;
    object-fit: contain;
}


.askQuestion {
    height: fit-content;
}

.askQuestion div {
    border: 1px solid #dfdfdf;
    border-radius: 5px;
}

.askQuestion button {
    color: var(--primaryColor);
    border: 1px solid var(--primaryColor);
    background-color: white;
    padding: 6px 36px;

}

.askQuestion p {
    color: var(--mediumLightText);
    font-size: 18px;
}


.askQuestion h3 {
    font-size: 20px;
}

.askQuestion div {
    padding: 62px 16px;
}

.locationImg {
    width: 23px;
    height: 23px;
    margin-left: -2px;
}

.roomsWithList {
    margin: 0;
}

.roomsWithList li {
    color: var(--mediumLightText);
}

/* 12/3/2024 */

/* Car Package */

.carTypes img {
    width: 60px;
    object-fit: contain;
}

.carTypes p {
    font-size: 16px !important;
}

.car-name p {
    color: var(--mediumLightText);
    font-size: small;
}

.carFeatureImg {
    width: 18px;
}

span#basic-addon1 {
    background-color: var(--bluishLight) !important;
}

.book-ticket-card h3 {
    font-size: 22px;
}

.circle-img {
    width: 16px;
    object-fit: contain;
}

.email-input {
    width: 95.8% !important;
}

.best {
    font-size: small;
    padding: 4px 8px;
    position: absolute;
    top: 8px;
    left: 12px;
    color: #1979D3 !important;
    background-color: #E6EEFC;
}

.planeImg {
    width: 46px;
    object-fit: contain;
}

.dotted-line {
    width: 120px;
    height: 3px;
    object-fit: contain;
}

.planeLine {
    height: 160px
}

.flight-card {
    height: 220px;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.flight-info {
    margin-top: 20px;
}

.flight-hours {
    font-size: 13px;
    text-wrap: nowrap;
}

.flight-price-info p {
    font-size: 13px;
}

.flight-price-info button {
    font-size: 12px !important;
    padding: 8px 34px !important;
}

/* Flight Detail */

.flight-package-detail {
    height: 140px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    background-color: var(--bluishLight);
    overflow-x: auto;
    white-space: nowrap;
}


.flight-package-detail button {
    background-color: var(--primaryColor);
    padding: 28px;
    border: none;
}

.flight-package-detail div button img {
    width: 12px;
    object-fit: contain;
}

.flight-feature-list li {
    list-style: none;
    text-align: center;
    font-size: 14px;
}

.flight-feature-list li:first-child {
    font-size: 18px;

}

.flight-feature-list span {
    font-size: 16px;
}

.flight-features {
    background-color: var(--bluishLight);
    border: 1px solid var(--inputFieldBorder);
    border-radius: 10px;
    padding: 10px 0;
}

.flight-feature-list {
    padding-left: 0px !important;
}

.book-flight-imgs img {
    height: 175px;
    object-fit: cover;
}

.wrapper {
    width: 20%;
}

.book-flight-wrapper {
    background: url(../img/flightBookBg.png);
    background-size: cover;
    background-position: bottom;
}

.book-flight-container {
    background-color: transparent;
}

.bookNowBtn {
    border: none;
    background-color: var(--primaryColor);
    font-size: 14px;
    padding: 10px;
}

.search-top-container {
    width: fit-content;
    color: var(--mediumLightText);
    position: relative;
    z-index: 20;
    background-color: black;
    padding: 6px;
    margin-bottom: -2px;
}

.search-top-container h3 {
    border-top-right-radius: 6px;
    border-top-left-radius: 8px;
    padding: 6px 12px;
    font-size: 22px !important;
    transition: all 0.3s;
}

.search-top-container h3:hover {
    cursor: pointer;
    color: white;
    background-color: var(--primaryColor);
    font-weight: 500;
}

.africa-text {
    color: var(--mediumLightText);
    line-height: 32px;
    font-size: 14px;
}